"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
require("./index.scss");
var StripList = function StripList(props) {
  var title = props.title,
    subTitle = props.subTitle,
    list = props.list;
  var classis = title === null || title === void 0 ? void 0 : title.replace(/\ /g, "-");
  return /*#__PURE__*/_react["default"].createElement("div", {
    className: "strip-list-wrapper"
  }, /*#__PURE__*/_react["default"].createElement("h2", {
    className: "pt-8"
  }, /*#__PURE__*/_react["default"].createElement("a", {
    id: classis,
    href: "#" + classis
  }, title)), /*#__PURE__*/_react["default"].createElement("p", {
    className: "pt-3"
  }, subTitle), /*#__PURE__*/_react["default"].createElement("ol", null, list === null || list === void 0 ? void 0 : list.map(function (item, index) {
    return /*#__PURE__*/_react["default"].createElement("li", {
      key: index
    }, /*#__PURE__*/_react["default"].createElement("span", {
      className: "strip-list-item"
    }, item));
  })));
};
var _default = exports["default"] = StripList;