import _extends from "@babel/runtime/helpers/extends";
var ImagePreviewMeta = {
  "componentName": "ImagePreview",
  "title": "ImagePreview",
  "docUrl": "",
  "screenshot": "",
  "devMode": "proCode",
  "npm": {
    "package": "api_document_lowcode_components",
    "version": "0.1.3",
    "exportName": "ImagePreview",
    "main": "src/index.tsx",
    "destructuring": true,
    "subName": ""
  },
  "configure": {
    "props": [{
      "title": {
        "label": {
          "type": "i18n",
          "en-US": "title",
          "zh-CN": "title"
        }
      },
      "name": "title",
      "setter": {
        "componentName": "StringSetter",
        "isRequired": false,
        "initialValue": ""
      }
    }, {
      "title": {
        "label": {
          "type": "i18n",
          "en-US": "src",
          "zh-CN": "src"
        }
      },
      "name": "src",
      "setter": {
        "componentName": "StringSetter",
        "isRequired": true,
        "initialValue": ""
      }
    }, {
      "title": {
        "label": {
          "type": "i18n",
          "en-US": "preview",
          "zh-CN": "preview"
        }
      },
      "name": "preview",
      "setter": {
        "componentName": "BoolSetter",
        "isRequired": false,
        "initialValue": false
      }
    }, {
      "title": {
        "label": {
          "type": "i18n",
          "en-US": "width",
          "zh-CN": "width"
        }
      },
      "name": "width",
      "setter": {
        "componentName": "NumberSetter",
        "isRequired": false,
        "initialValue": 0
      }
    }, {
      "title": {
        "label": {
          "type": "i18n",
          "en-US": "innerSrc",
          "zh-CN": "innerSrc"
        }
      },
      "name": "innerSrc",
      "setter": {
        "componentName": "StringSetter",
        "isRequired": false,
        "initialValue": ""
      }
    }],
    "supports": {
      "style": true
    },
    "component": {}
  }
};
var snippets = [{
  "title": "ImagePreview",
  "screenshot": "",
  "schema": {
    "componentName": "ImagePreview",
    "props": {}
  }
}];
export default _extends({}, ImagePreviewMeta, {
  snippets: snippets
});