"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports["default"] = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var ShowCodeMeta = {
  "componentName": "ShowCode",
  "title": "ShowCode",
  "docUrl": "",
  "screenshot": "",
  "devMode": "proCode",
  "npm": {
    "package": "api_document_lowcode_components",
    "version": "0.1.3",
    "exportName": "ShowCode",
    "main": "src/index.tsx",
    "destructuring": true,
    "subName": ""
  },
  "configure": {
    "props": [{
      "title": {
        "label": {
          "type": "i18n",
          "en-US": "darkMode",
          "zh-CN": "darkMode"
        }
      },
      "name": "darkMode",
      "setter": {
        "componentName": "BoolSetter",
        "isRequired": false,
        "initialValue": false
      }
    }, {
      "title": {
        "label": {
          "type": "i18n",
          "en-US": "title",
          "zh-CN": "title"
        }
      },
      "name": "title",
      "setter": {
        "componentName": "StringSetter",
        "isRequired": false,
        "initialValue": ""
      }
    }, {
      "title": {
        "label": {
          "type": "i18n",
          "en-US": "language",
          "zh-CN": "language"
        }
      },
      "name": "language",
      "setter": {
        "componentName": "SelectSetter",
        "props": {
          "dataSource": [{
            "label": "javascript",
            "value": "javascript"
          }, {
            "label": "java",
            "value": "java"
          }, {
            "label": "curl",
            "value": "curl"
          }, {
            "label": "python",
            "value": "python"
          }, {
            "label": "php",
            "value": "php"
          }],
          "options": [{
            "label": "javascript",
            "value": "javascript"
          }, {
            "label": "java",
            "value": "java"
          }, {
            "label": "curl",
            "value": "curl"
          }, {
            "label": "python",
            "value": "python"
          }, {
            "label": "php",
            "value": "php"
          }]
        },
        "initialValue": "javascript"
      }
    }, {
      "title": {
        "label": {
          "type": "i18n",
          "en-US": "explain",
          "zh-CN": "explain"
        }
      },
      "name": "explain",
      "setter": {
        "componentName": "ArraySetter",
        "props": {
          "itemSetter": {
            "componentName": "StringSetter",
            "isRequired": false,
            "initialValue": ""
          }
        },
        "initialValue": []
      }
    }, {
      "title": {
        "label": {
          "type": "i18n",
          "en-US": "textContent",
          "zh-CN": "textContent"
        }
      },
      "name": "textContent",
      "setter": {
        "componentName": "StringSetter",
        "isRequired": true,
        "initialValue": ""
      }
    }],
    "supports": {
      "style": true
    },
    "component": {}
  }
};
var snippets = [{
  "title": "ShowCode",
  "screenshot": "",
  "schema": {
    "componentName": "ShowCode",
    "props": {}
  }
}];
var _default = exports["default"] = (0, _extends2["default"])({}, ShowCodeMeta, {
  snippets: snippets
});