import React from 'react';
import "./index.scss";
var StripList = function StripList(props) {
  var title = props.title,
    subTitle = props.subTitle,
    list = props.list;
  var classis = title === null || title === void 0 ? void 0 : title.replace(/\ /g, "-");
  return /*#__PURE__*/React.createElement("div", {
    className: "strip-list-wrapper"
  }, /*#__PURE__*/React.createElement("h2", {
    className: "pt-8"
  }, /*#__PURE__*/React.createElement("a", {
    id: classis,
    href: "#" + classis
  }, title)), /*#__PURE__*/React.createElement("p", {
    className: "pt-3"
  }, subTitle), /*#__PURE__*/React.createElement("ol", null, list === null || list === void 0 ? void 0 : list.map(function (item, index) {
    return /*#__PURE__*/React.createElement("li", {
      key: index
    }, /*#__PURE__*/React.createElement("span", {
      className: "strip-list-item"
    }, item));
  })));
};
export default StripList;