import _extends from "@babel/runtime/helpers/extends";
var StripListMeta = {
  "componentName": "StripList",
  "title": "StripList",
  "docUrl": "",
  "screenshot": "",
  "devMode": "proCode",
  "npm": {
    "package": "api_document_lowcode_components",
    "version": "0.1.3",
    "exportName": "StripList",
    "main": "src/index.tsx",
    "destructuring": true,
    "subName": ""
  },
  "configure": {
    "props": [{
      "title": {
        "label": {
          "type": "i18n",
          "en-US": "title",
          "zh-CN": "title"
        }
      },
      "name": "title",
      "setter": {
        "componentName": "StringSetter",
        "isRequired": false,
        "initialValue": ""
      }
    }, {
      "title": {
        "label": {
          "type": "i18n",
          "en-US": "subTitle",
          "zh-CN": "subTitle"
        }
      },
      "name": "subTitle",
      "setter": {
        "componentName": "StringSetter",
        "isRequired": false,
        "initialValue": ""
      }
    }, {
      "title": {
        "label": {
          "type": "i18n",
          "en-US": "list",
          "zh-CN": "list"
        }
      },
      "name": "list",
      "setter": {
        "componentName": "ArraySetter",
        "props": {
          "itemSetter": {
            "componentName": "SlotSetter",
            "props": {
              "mode": "node"
            },
            "isRequired": false,
            "initialValue": {
              "type": "JSSlot",
              "value": []
            }
          }
        },
        "initialValue": []
      }
    }],
    "supports": {
      "style": true
    },
    "component": {}
  }
};
var snippets = [{
  "title": "StripList",
  "screenshot": "",
  "schema": {
    "componentName": "StripList",
    "props": {}
  }
}];
export default _extends({}, StripListMeta, {
  snippets: snippets
});